%global pypi_name pytest-enabler

Name:           python-%{pypi_name}
Version:        2.3.1
Release:        %mkrel 5
Summary:        Enable installed pytest plugins
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/pytest-enabler
Source0:        %{pypi_source}
BuildArch:      noarch

%description
The enabler plugin allows configuration of plugins if present, but omits the
settings if the plugin is not present.

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The enabler plugin allows configuration of plugins if present, but omits the
settings if the plugin is not present.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_enabler

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE


%changelog
* Sun Mar 02 2025 wally <wally> 2.3.1-5.mga10
+ Revision: 2157396
- rebuild for python3.13

* Fri Dec 29 2023 papoteur <papoteur> 2.3.1-4.mga10
+ Revision: 2023736
- rebuild again for python 3.12
- remove unuseful BR

* Fri Dec 29 2023 papoteur <papoteur> 2.3.1-3.mga10
+ Revision: 2023734
- rebuild again for python 3.12

* Thu Dec 07 2023 wally <wally> 2.3.1-2.mga10
+ Revision: 2015252
- rebuild for py3.12

* Mon Nov 27 2023 wally <wally> 2.3.1-1.mga10
+ Revision: 2010357
- imported package python-pytest-enabler

